Skip to main content
PUT
cURL
See import an entry for how imports work. Use this endpoint to choose the new entry’s UUID yourself.

Authorizations

Authorization
string
header
required

Use the Bearer scheme with a valid JWT token to authenticate requests. Example: Authorization: Bearer <token>

Path Parameters

id
string
required

UUID of the silo entry to create.

Example:

"347c5b04-cde2-11ed-afa1-0242ac120002"

Query Parameters

key
string

Key used to identify the entry idempotently within a workspace: repeating an import with the same key provides the entry already created.

Example:

"invoice-101"

folder
string

In which folder the entry should be associated, leave empty to use the automatic rules.

format
string[]

Keys of the formats to limit detection to. When omitted, the format is detected from the document.

Example:
name
string

File name of the original document, kept with the entry's file.

Example:

"invoice.xml"

allow_invalid
boolean

When true, the envelope's contents are allowed to be invalid.

Example:

true

sign
boolean

When true, the GOBL envelope will be signed automatically.

Example:

false

private
boolean

When true, the entry's files are stored as private, and attachments are not linked from the document.

Example:

false

Body

application/octet-stream

Raw document to import.

The body is of type file.

Response

200 - application/json

OK

attachments
Attachments · object[]

List of files for this entry.

context
string

When entry provided within a related query, this is the context within the document.

Example:

"line.item"

created_at
string

The date and time the silo entry was created.

Example:

"2018-01-01T00:00:00.000Z"

data
Data · object

JSON envelope contents. Included when fetching, creating or updating an entry and in entry lists.

digest
object
doc_schema
string

Schema URL for the envelope's payload.

Example:

"https://gobl.org/draft-0/bill/invoice"

draft
boolean

Deprecated. When true, indicates that the envelope is not signed.

Example:

true

env_schema
string

Schema URL for the envelope.

Example:

"https://gobl.org/draft-0/envelope"

faults
Faults · object[]

List of faults that occurred during the processing of the job associated with the last state.

folder
string

Key for the folder where the entry is located.

Example:

"sales"

id
string

UUID of the silo entry.

Example:

"347c5b04-cde2-11ed-afa1-0242ac120002"

invalid
boolean

When true, the envelope's contents are invalid and need to be reviewed.

Example:

true

key
string

Key used to identify the entry idempotently within a workspace.

Example:

"invoice-101"

meta
Meta · object[]

Additional meta fields associated with the entry.

signed
boolean

When true, the envelope has been signed and should not be modified.

Example:

true

snippet
Snippet · object

JSON object containing a snippet of the document.

Example:
state
string

Current state of the silo entry if not a draft.

Example:

"sent"

tags
string[]

Copy of tags stored in the envelope header.

updated_at
string

The date and time the silo entry was last updated.

Example:

"2018-01-01T00:00:00.000Z"

version
string

Version of the latest envelope data.

Example:

"76f845c125"

versions
Versions · object[]

Available envelope data versions, newest first.